Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.

Operations

MethodPathSummary / bodyResponses
DELETE /api/agent-memories/{id} 200 AgentMemoryDto
GET /api/agent-memories/{id} 200 AgentMemoryDto
PUT /api/agent-memories/{id} 200 AgentMemoryDto
POST /api/agent-memories/{id}/recall 200 AgentMemoryDto
POST /api/agent-memories/expire 200
GET /api/identities/{identityId}/agent-memories 200 PagedResultOfAgentMemoryListDto
POST /api/identities/{identityId}/agent-memories 200 AgentMemoryDto
GET /api/identities/{identityId}/agent-memories/search 200 AgentMemorySearchResult

Schemas

Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.

AgentMemoryDto

PropertyTypeDescription
id int64
guid uuid
identityId int64
title null,string
content string
provenance Provenance
importance int32
agentRole null,string
agentRunId int64
projectTaskId int64
projectId int64
modelKeyAtWriteTime null,string
expiresAtUtc date-time
hasEmbedding boolean
accessCount int32
lastAccessedAtUtc date-time
tokenEstimate int32
validFromUtc date-time
validUntilUtc date-time
temporalSource null,string
supersededById int64
createdAtUtc date-time
updatedAtUtc date-time

AgentMemorySearchResult

PropertyTypeDescription
results AgentMemorySearchHit[]
totalCandidates int32
embeddingCoverage int32
warning null,string

PagedResultOfAgentMemoryListDto

PropertyTypeDescription
items* AgentMemoryListDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean